search cancel

Error while downloading package: The version of the package on the server (1447324708) is older than required (1461058661) (0x80004005)

book

Article ID: 163590

calendar_today

Updated On:

Products

IT Management Suite

Issue/Introduction

Stood up a new server for a vendor taking over imaging work for this customer. A few packages on the newly built server do not download. Error while downloading package: The version of the package on the server (1447324708) is older than required (1461058661) (0x80004005)
 

Environment

SMP 7.5/7.6

Cause

The snapshot for the packages in question were out of date on the Notification Server.

Resolution

Deleting the old snapshots and then having the "NS.PackageRefresh" process rebuild them resolved the issue. To do so please see the following steps:
  1. Log into the Notification Server as the Altiris Service Account (AppID).
  2. Navigate to where the package snapshots are stored; "C:\ProgramData\Symantec\SMP\Snapshots"
  3. Locate the GUID associated with the package you are looking to recreate the codebase for, in this example we'll use the GUID {1d3cdfe4-a033-4dd3-bac6-2fe6906520c5}.
  4. Locate the '.xml' and '.sig' files for this GUID, then delete the two files.
  5. Next, open up Windows Task Scheduler from Start>Administrative Tools>Task Scheduler, and run "NS.DistributionPointUpdateSchedule" and "NS.PackageRefresh". These schedules can take some time to run so either wait for these schedules to kick off on their predetermined schedule or do this during a time when other processes are not using resources on the Notification Server.
  6. Verify the new '.xml' and '.sig' files for that GUID are created in "C:\ProgramData\Symantec\SMP\Snapshots"
  7. Once the new files have been verified as present force the Package Server that cannot download these packages to re-download; they should now download without issue.

Attachments